package model

import (
	"electricity_bill_calc/types"
	"time"

	"github.com/shopspring/decimal"
)

type UserChargeDetail struct {
	Seq         int64            `json:"seq"`
	UserId      string           `json:"user_id"`
	Name        string           `json:"name"`
	Fee         *decimal.Decimal `json:"fee"`
	Discount    *decimal.Decimal `json:"discount"`
	Amount      *decimal.Decimal `json:"amount"`
	ChargeTo    types.Date       `json:"charge_to"`
	Settled     bool             `json:"settled"`
	SettledAt   *time.Time       `json:"settled_at"`
	Cancelled   bool             `json:"cancelled"`
	CancelledAt *time.Time       `json:"cancelled_at"`
	CreatedAt   time.Time        `json:"created_at"`
}

type ChargeRecordCreationForm struct {
	UserId   string           `json:"userId"`
	Fee      *decimal.Decimal `json:"fee"`
	Discount *decimal.Decimal `json:"discount"`
	Amount   *decimal.Decimal `json:"amount"`
	ChargeTo types.Date       `json:"chargeTo"`
}
